package at.technikumwien.movies;


import at.technikumwien.movies.generated.Movie;
import at.technikumwien.movies.generated.MoviesWebService_Service;

import javax.xml.ws.Service;
import java.util.List;

public class MoviesWebServiceClient {
    public static void main(String[] args) throws Exception {
        MoviesWebService_Service service = new MoviesWebService_Service();
        at.technikumwien.movies.generated.MoviesWebService port = service.getMoviesWebServicePort();

        // TODO: Move to a better place

        // Import movies
        List<Movie> movies = XmlHelper.xmlToMovies("movietest.xml");
        port.importMovies(movies);

        // Export all existing movies
        XmlHelper.moviesToXml(port.getAllMovies(), "movies_in_db.xml");
    }
}
